<?php
// Afegim camp personalitzat pagina CHECKOUT.PHP
function kia_filter_checkout_fields($fields){
    $fields['extra_fields'] = array(
            'VAT_code' => array(
            	'placeholder'	=> 'Introduce tu DNI o CIF si necesitas factura',
                'type' 		=> 'text',               
                'required'	=> false,
                'label' => __( 'CIF o DNI' )
                )
            );

    return $fields;
}
add_filter( 'woocommerce_checkout_fields', 'kia_filter_checkout_fields' );

//Mostrem el camp personalitzat a la pàgina
function kia_extra_checkout_fields(){ 

    $checkout = WC()->checkout(); ?>

    <div class="form-row-wides">

    <?php foreach ( $checkout->checkout_fields['extra_fields'] as $key => $field ) : ?>

            <?php woocommerce_form_field( $key, $field, $checkout->get_value( $key ) ); ?>

        <?php endforeach; ?>
    </div>

<?php }
add_action( 'woocommerce_checkout_after_customer_details' ,'kia_extra_checkout_fields' );

// save the extra field when checkout is processed
//Gravem el camp personalitzat al fer submit CHEKOUT.PHPº
function kia_save_extra_checkout_fields( $order_id, $posted ){
    if( isset( $posted['VAT_code'] ) ) {
        update_post_meta( $order_id, '_VAT_code', sanitize_text_field( $posted['VAT_code'] ) );
    }
}
add_action( 'woocommerce_checkout_update_order_meta', 'kia_save_extra_checkout_fields', 10, 2 );


// Mostra les dades addicionals en el panell d'administració
function kia_display_order_data_in_admin( $order ){  ?>
    <div class="form-row-wide	">
        <h4><?php _e( 'Extra Details', 'woocommerce' ); ?></h4>
        <?php 
            echo '<p><strong>' . __( 'CIF o DNI' ) . ':</strong>' . get_post_meta( $order->id, '_VAT_code', true ) . '</p>'; ?>
    </div>
<?php }
add_action( 'woocommerce_admin_order_data_after_order_details', 'kia_display_order_data_in_admin' );
