<?php

if ( ! defined( 'ABSPATH' ) ) exit;

/**
 * Add meta box
 *
 * @param post $post The post object
 * @link https://codex.wordpress.org/Plugin_API/Action_Reference/add_meta_boxes
 */


//Visualitza l'opció d'activar la funcionalitat HP WallArt  i tipus de producte a la pestanya General del producte utlitzant un ganxo (hook) de woocommerce.

add_action( 'woocommerce_product_options_general_product_data', 'rwh_add_custom_general_fields' );


// Creem el radiobutton per catalogar els productes HPWallart
if(!function_exists('rwh_add_custom_general_fields')){

    function rwh_add_custom_general_fields() {

  global $woocommerce, $post;
  
  echo '<div class="options_group">';
  
  woocommerce_wp_checkbox( 
        array( 
            'id'            => '_rwh_set_option', 
            'wrapper_class' => 'checkbox_class', 
            'label'         => __('Repro WallArt', 'woocommerce' ), 
            'description'   => __( 'Producto personalizado!', 'woocommerce' ) 
            )
        );
  
  echo '</div>';

   echo '<div class="options_group">';
  
  woocommerce_wp_select( 

		array( 
    		'id'      => '_type', 
    		'label'   => __( 'Tipo de producto', 'woocommerce' ), 
    'options' => array(
        'WA_WC'     => __( 'Mural', 'woocommerce' ),
        'WA_WP'     => __( 'Poster', 'woocommerce' ),
        'WA_CA'     => __( 'Lienzo', 'woocommerce' ),
        'WA_WD'     => __( 'Adhesivo', 'woocommerce')
        )
    )
);
  
  echo '</div>';
    
    }

}


// Gravem els canvis a la bbdd
add_action( 'woocommerce_process_product_meta', 'rwh_save_settings' );

if(!function_exists('rwh_save_settings')){
   
    function rwh_save_settings( $post_id ){
    	
    	$rwh_woo_checkbox = isset( $_POST['_rwh_set_option'] ) ? 'yes' : 'no';
    	update_post_meta( $post_id, '_rwh_set_option', $rwh_woo_checkbox );

    	$woocommerce_select = $_POST['_type'];
    	if( !empty( $woocommerce_select ) )
    	update_post_meta( $post_id, '_type', esc_attr( $woocommerce_select ) );
    }
}
