<?php
/*
Plugin Name: Repro WallArt
Plugin URI: http://creatupared.com
Description: This is a plugin for connect with HPWallArt
Version: 1.0
Author: Jordi Fuentes
Author URI: http://www.reprodisseny.com

* Text Domain: Repro WallArt
*
* Requires at least: 4.5.3
* Tested up to: 4.5.3
*
* Copyright: © 2016 Repro Disseny, S.L.
* License: GNU General Public License v3.0
* License URI: http://www.gnu.org/licenses/gpl-3.0.html
*/


// Surt, si s'accedeix directament.
if ( ! defined( 'ABSPATH' ) ) exit;


//Carreguem els arxius necessaris

include_once plugin_dir_path( __FILE__ ).'/includes/rwh_bbdd.php';
include_once plugin_dir_path( __FILE__ ).'/includes/rwh_form.php';
include_once plugin_dir_path( __FILE__ ).'/includes/rwh_add_meta_box.php';
include_once plugin_dir_path( __FILE__ ).'/includes/rwh_add_field_checkout.php';


//Creem la BBDD en el moment d'activar el plugin
register_activation_hook( __FILE__, 'rwh_create_bbdd' );




// Comprova si Woocommerce està actiu.
if(in_array('woocommerce/woocommerce.php',apply_filters('active_plugins',get_option('active_plugins')))){



//Elimina el botó Afegir a la cistella en el producte (part client).

add_action('woocommerce_before_main_content','rwh_remove_loop_button');

if(!function_exists('rwh_remove_loop_button')){
function rwh_remove_loop_button(){

    global $woocommerce, $post;

    $rwh_option_setting=get_post_meta( $post->ID,'_rwh_set_option', true );
    if($rwh_option_setting=='yes'){
        remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10 );
        remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_add_to_cart', 30 );
            
        }
    }
}

      add_action( 'woocommerce_after_shop_loop_item', 'rwh_remove_add_to_cart_buttons', 1 );
if(!function_exists(rwh_remove_add_to_cart_buttons)){
    function rwh_remove_add_to_cart_buttons() {
      if( is_product_category() || is_shop()) { 
        remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart' );
      }
    }
    }

// Afegeix el Auth_Token a la taula user_meta
add_action( 'user_register', 'rwh_auth_token_save', 10, 1 );

if(!function_exists('rwh_auth_token_save')){
    
    function rwh_auth_token_save( $user_id ) {
        global $wpdb;

    if ( isset( $_POST['user_email'] ) )
        $rwh_sanitize_email=$_POST['user_email'];
        do{
            $rwh_result_auth_token=add_user_meta( $user_id, 'rwh_auth_token', rwh_auth_token_user($rwh_sanitize_email), true );
            }
            while($rwh_result_auth_token);
    }
}



//Crea el Auth Token

if(!function_exists('rwh_auth_token_user')){
function rwh_auth_token_user($auth_tu){

    $rwh_date=date("YmdHis" );
    $result=hash('sha256', 'Rg273$#6GT'.$auth_tu.$rwh_date);

    return $result;
        }
    }


//Carreguem els arxius js necessaris
if(!function_exists('rwh_adding_scripts')){

    function rwh_adding_scripts() {

    wp_enqueue_script('ajaxSubmit', plugins_url('/js/functions.js', __FILE__), array('jquery'),'1.1', true);


    }
}
    add_action( 'wp_enqueue_scripts', 'rwh_adding_scripts' );

if(!function_exists('rwh_adding_scriptsv2')){

    function rwh_adding_scriptsv2() {

    wp_enqueue_script('validate', plugins_url('/js/jquery.validate.min.js', __FILE__), array('jquery'), true);


    }
}
    add_action( 'wp_enqueue_scripts', 'rwh_adding_scriptsv2' );


//Carreguem la plantilla personalitzada reviews-order.php modificada per incloure imatges del producte i mides a la pàgina checkout
add_filter( 'woocommerce_locate_template', 'woo_adon_plugin_template', 1, 3 );
   function woo_adon_plugin_template( $template, $template_name, $template_path ) {
     global $woocommerce;
     $_template = $template;
     if ( ! $template_path ) 
        $template_path = $woocommerce->template_url;
 
     $plugin_path  = untrailingslashit( plugin_dir_path( __FILE__ ) )  . '/woocommerce/';
 
    // Look within passed path within the theme - this is priority
    $template = locate_template(
    array(
      $template_path . $template_name,
      $template_name
    )
   );
 
   if( ! $template && file_exists( $plugin_path . $template_name ) )
    $template = $plugin_path . $template_name;
 
   if ( ! $template )
    $template = $_template;

   return $template;
}




function addCustomer(){

global $wpdb;

check_ajax_referer( 'ajax-login-nonce', 'security' );



//Recollim variables del formulari
$rwhheight = htmlspecialchars($_POST['height']);
$rwhwidth = htmlspecialchars($_POST['width']);
$rwhpost =  htmlspecialchars($_POST['postId']);

//Consultem preu producte BBDD
$rwh_sku_price = get_post_meta( $rwhpost, '_regular_price', true );

//Calculem preu
$rwh_price = ($rwhheight * $rwhwidth) * $rwh_sku_price/100 ;

echo "El precio es de ".$rwh_price." €";



?>
    <br/>
    <div id="hpwall" class = "single_add_to_cart_button button alt">

    <a  href = "http://yourwallart.reprodisseny.com/wp-content/plugins/reprowallart/conectar.php?height=<?php echo $rwhheight;?>&width=<?php echo $rwhwidth;?>&postId=<?php echo $rwhpost;?>">Entra HP WallArt</a>
    
    </div>
<?php
die();


}

add_action('wp_ajax_addCustomer', 'addCustomer');
add_action('wp_ajax_nopriv_addCustomer', 'addCustomer');


}

//Elimina missatge error JQMIGRATE: Migrate is installed, version 1.4.0

add_action( 'wp_default_scripts', function( $scripts ) {
    if ( ! empty( $scripts->registered['jquery'] ) ) {
        $jquery_dependencies = $scripts->registered['jquery']->deps;
        $scripts->registered['jquery']->deps = array_diff( $jquery_dependencies, array( 'jquery-migrate' ) );
    }
} );










   



